Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Interface BlockLevelEventProducer

All Superinterfaces:
  EventProducer

public interface BlockLevelEventProducer
extends EventProducer

Event producer interface for block-level layout managers.

Nested Class Summary
`static class` | `BlockLevelEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `flowNotMappingToRegionBody(java.lang.Object source, java.lang.String flowName, java.lang.String masterName, org.xml.sax.Locator loc)` Indicates that FOP doesn't support flows that are not mapped to region-body, yet.
`void` | `missingSubsequencesInPageSequenceMaster(java.lang.Object source, java.lang.String pageSequenceMasterName, org.xml.sax.Locator loc)` No subsequences in page sequence master.
`void` | `noMatchingPageMaster(java.lang.Object source, java.lang.String pageSequenceMasterName, java.lang.String pageMasterName, org.xml.sax.Locator loc)` No single-page-master matching in page sequence master.
`void` | `nonRestartableContentFlowingToNarrowerPage(java.lang.Object source)` An element that cannot handle changing IPD (list, table) is flowing to a narrower page.
`void` | `objectTooWide(java.lang.Object source, java.lang.String elementName, int effIPD, int maxIPD, org.xml.sax.Locator loc)` An formatting object is too wide.
`void` | `overconstrainedAdjustEndIndent(java.lang.Object source, java.lang.String elementName, int amount, org.xml.sax.Locator loc)` An overconstrained geometry adjustment rule was triggered (5.3.4, XSL 1.0).
`void` | `pageSequenceMasterExhausted(java.lang.Object source, java.lang.String pageSequenceMasterName, boolean canRecover, org.xml.sax.Locator loc)` A page sequence master is exhausted.
`void` | `regionOverflow(java.lang.Object source, java.lang.String elementName, java.lang.String page, int amount, boolean clip, boolean canRecover, org.xml.sax.Locator loc)` Contents overflow a region viewport.
`void` | `rowTooTall(java.lang.Object source, int row, int effCellBPD, int maxCellBPD, org.xml.sax.Locator loc)` The contents of a table-row are too big to fit in the constraints.
`void` | `tableFixedAutoWidthNotSupported(java.lang.Object source, org.xml.sax.Locator loc)` Auto-table layout is not supported, yet.
`void` | `viewportOverflow(java.lang.Object source, java.lang.String elementName, int amount, boolean clip, boolean canRecover, org.xml.sax.Locator loc)` Contents overflow a viewport.

Method Detail

### rowTooTall

    public void rowTooTall(java.lang.Object source,
                           int row,
                           int effCellBPD,
                           int maxCellBPD,
                           org.xml.sax.Locator loc)

  The contents of a table-row are too big to fit in the constraints.

  Parameters:
    `source` - the event source
    `row` - the row number
    `effCellBPD` - the effective extent in block-progression direction of the cell
    `maxCellBPD` - the maximum extent in block-progression direction of the cell
    `loc` - the location of the error or null
  Event severity level:
    WARN

### tableFixedAutoWidthNotSupported

    public void tableFixedAutoWidthNotSupported(java.lang.Object source,
                                                org.xml.sax.Locator loc)

  Auto-table layout is not supported, yet.

  Parameters:
    `source` - the event source
    `loc` - the location of the error or null
  Event severity level:
    INFO

### objectTooWide

    public void objectTooWide(java.lang.Object source,
                              java.lang.String elementName,
                              int effIPD,
                              int maxIPD,
                              org.xml.sax.Locator loc)

  An formatting object is too wide.

  Parameters:
    `source` - the event source
    `elementName` - the formatting object
    `effIPD` - the effective extent in inline-progression direction of the table contents
    `maxIPD` - the maximum extent in inline-progression direction available
    `loc` - the location of the error or null
  Event severity level:
    WARN

### overconstrainedAdjustEndIndent

    public void overconstrainedAdjustEndIndent(java.lang.Object source,
                                               java.lang.String elementName,
                                               int amount,
                                               org.xml.sax.Locator loc)

  An overconstrained geometry adjustment rule was triggered (5.3.4, XSL 1.0).

  Parameters:
    `source` - the event source
    `elementName` - the formatting object
    `amount` - the amount of the adjustment (in mpt)
    `loc` - the location of the error or null
  Event severity level:
    INFO

### viewportOverflow

    public void viewportOverflow(java.lang.Object source,
                                 java.lang.String elementName,
                                 int amount,
                                 boolean clip,
                                 boolean canRecover,
                                 org.xml.sax.Locator loc)
                          throws LayoutException

  Contents overflow a viewport.

  Parameters:
    `source` - the event source
    `elementName` - the formatting object
    `amount` - the amount by which the contents overflow (in mpt)
    `clip` - true if the content will be clipped
    `canRecover` - indicates whether FOP can recover from this problem and continue working
    `loc` - the location of the error or null
  Throws:
    `LayoutException` - the layout error provoked by the method call
  Event severity level:
    FATAL

### regionOverflow

    public void regionOverflow(java.lang.Object source,
                               java.lang.String elementName,
                               java.lang.String page,
                               int amount,
                               boolean clip,
                               boolean canRecover,
                               org.xml.sax.Locator loc)
                        throws LayoutException

  Contents overflow a region viewport.

  Parameters:
    `source` - the event source
    `elementName` - the formatting object
    `page` - the page number/name where the overflow happened
    `amount` - the amount by which the contents overflow (in mpt)
    `clip` - true if the content will be clipped
    `canRecover` - indicates whether FOP can recover from this problem and continue working
    `loc` - the location of the error or null
  Throws:
    `LayoutException` - the layout error provoked by the method call
  Event severity level:
    FATAL

### flowNotMappingToRegionBody

    public void flowNotMappingToRegionBody(java.lang.Object source,
                                           java.lang.String flowName,
                                           java.lang.String masterName,
                                           org.xml.sax.Locator loc)
                                    throws java.lang.UnsupportedOperationException

  Indicates that FOP doesn't support flows that are not mapped to region-body, yet.

  Parameters:
    `source` - the event source
    `flowName` - the flow name
    `masterName` - the page master name
    `loc` - the location of the error or null
  Throws:
    `java.lang.UnsupportedOperationException` - the layout error provoked by the method call
  Event severity level:
    FATAL

### pageSequenceMasterExhausted

    public void pageSequenceMasterExhausted(java.lang.Object source,
                                            java.lang.String pageSequenceMasterName,
                                            boolean canRecover,
                                            org.xml.sax.Locator loc)
                                     throws PageProductionException

  A page sequence master is exhausted.

  Parameters:
    `source` - the event source
    `pageSequenceMasterName` - the name of the page sequence master
    `canRecover` - indicates whether FOP can recover from this problem and continue working
    `loc` - the location of the error or null
  Throws:
    `PageProductionException` - the error provoked by the method call
  Event severity level:
    FATAL

### missingSubsequencesInPageSequenceMaster

    public void missingSubsequencesInPageSequenceMaster(java.lang.Object source,
                                                        java.lang.String pageSequenceMasterName,
                                                        org.xml.sax.Locator loc)
                                                 throws PageProductionException

  No subsequences in page sequence master.

  Parameters:
    `source` - the event source
    `pageSequenceMasterName` - the name of the page sequence master
    `loc` - the location of the error or null
  Throws:
    `PageProductionException` - the error provoked by the method call
  Event severity level:
    FATAL

### noMatchingPageMaster

    public void noMatchingPageMaster(java.lang.Object source,
                                     java.lang.String pageSequenceMasterName,
                                     java.lang.String pageMasterName,
                                     org.xml.sax.Locator loc)
                              throws PageProductionException

  No single-page-master matching in page sequence master.

  Parameters:
    `source` - the event source
    `pageSequenceMasterName` - the name of the page sequence master
    `pageMasterName` - the name of the page master not matching
    `loc` - the location of the error or null
  Throws:
    `PageProductionException` - the error provoked by the method call
  Event severity level:
    FATAL

### nonRestartableContentFlowingToNarrowerPage

    public void nonRestartableContentFlowingToNarrowerPage(java.lang.Object source)

  An element that cannot handle changing IPD (list, table) is flowing to a narrower page. Some content may be lost.

  Parameters:
    `source` - the event source
  Event severity level:
    WARN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.